.pricing {
    background: center url('/img/pricing/background.png') no-repeat;
    background-size: cover;
    padding-bottom: 30px;
}

.pricing-packages-container {
    @include flexbox(column nowrap,
    center,
    center);
}

.pricing__title {
    @include textbox($font-montserrat,
    $fontw-b,
    36px,
    48px,
    center,
    $white);
    padding: 50px 0;
}

.price-package {
    @include flexbox(column wrap,
    center,
    center);
    width: 80%;
    text-transform: uppercase;
    background: rgba(255, 255, 255, 0.1);
    margin-top: 20px;
    &.agency {
        width: 92%;
        background: rgba(70, 48, 72, 0.84);
    }
}

.price-package__title {
    @include textbox($font-montserrat,
    $fontw-r,
    24px,
    24px,
    center,
    $white);
    padding: 40px 0;
    width: 100%;
    background: rgba(255, 255, 255, 0.05);
    &.agency__title {
        background: rgba(0, 0, 0, 0.1);
        padding: 50px 0;
    }
}

.price-package__price {
    @include textbox($font-montserrat,
    $fontw-r,
    60px,
    62px,
    center,
    $white);
    padding-top: 70px;
    &.agency__price {
        @include textbox($font-montserrat,
        $fontw-r,
        82px,
        90px,
        center,
        $white);
        padding-top: 15px;
    }
    .price-package__price--bold {
        @include textbox($font-montserrat,
        $fontw-b,
        60px,
        62px,
        center,
        $white);
        padding-top: 20px;
        &.agency__price--bold {
            @include textbox($font-montserrat,
            $fontw-b,
            82px,
            90px,
            center,
            $white);
        }
    }
}

.price-package__period {
    @include textbox($font-montserrat,
    $fontw-r,
    14px,
    16px,
    center,
    $white);
    position: relative;
    padding-top: 20px;
    &::after {
        position: absolute;
        content: '';
        width: 60%;
        height: 4px;
        top: 200%;
        left: 50%;
        transform: translateX(-50%);
        background: $violet;
    }
    &.agency__period::after {
        top: 235%;
    }
}

.price-package__description {
    @include textbox($font-montserrat,
    $fontw-r,
    16px,
    18px,
    center,
    $white);
    text-transform: none;
    padding-top: 80px;
    &.agency__description {
        padding-top: 100px;
    }
}

.price-package__description--additional {
    @include textbox($font-montserrat,
    $fontw-r,
    16px,
    18px,
    center,
    $white);
    text-transform: none;
    padding-top: 15px;
}

.price-package__button {
    @include textbox($font-montserrat,
    $fontw-r,
    15px,
    15px,
    center,
    $white);
    text-decoration: none;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 25px;
    padding: 15px 40px;
    margin: 40px 0 70px;
    &.agency__button {
        margin-top: 120px;
    }
}

@media(min-width: $tablet) {
    .pricing-packages-container {
        @include flexbox(row wrap,
        center,
        center);
    }
    .price-package {
        flex: 0 0 38%;
        margin: 15px;
        justify-self: center;
        &.agency {
            flex: 0.3 0 40%;
        }
        &:nth-child(4) {
            margin-right: 6.7%;
        }
    }
}

@media(min-width: $bigtab) {
    .price-package {
        flex: 0 0 22%;
        margin: 7px;
        &.agency {
            flex: 0.85 0 22%;
        }
        &:nth-child(4) {
            margin-right: 0;
        }
    }
}

@media(min-width: $desktop) {
    .container {
        max-width: 1200px;
        margin: 0 auto;
    }
    .price-package {
        margin: 10px;
    }
}